
From: Hans Reiser <reiser@namesys.com>

This disables reiser4 online repacker.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/init_super.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN fs/reiser4/init_super.c~reiser4-disable-repacker fs/reiser4/init_super.c
--- 25/fs/reiser4/init_super.c~reiser4-disable-repacker	2004-09-20 11:06:39.701557592 -0700
+++ 25-akpm/fs/reiser4/init_super.c	2004-09-20 11:06:39.705556984 -0700
@@ -447,6 +447,7 @@ _DONE_(sysfs)
 	reiser4_sysfs_done(s);
 }
 
+#if defined(REISER4_REPACKER)
 _INIT_(repacker)
 {
 	return init_reiser4_repacker(s);
@@ -456,6 +457,7 @@ _DONE_(repacker)
 {
 	done_reiser4_repacker(s);
 }
+#endif /*REISER4_REPACKER*/
 
 _INIT_(safelink)
 {
@@ -502,7 +504,9 @@ static struct reiser4_subsys subsys_arra
 	_SUBSYS(d_cursor),
 	_SUBSYS(fs_root),
 	_SUBSYS(sysfs),
+#if defined(REISER4_REPACKER)
 	_SUBSYS(repacker),
+#endif /*REISER4_REPACKER*/
 	_SUBSYS(safelink),
 	_SUBSYS(exit_context)
 };
_
